"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const FacebookSharePreview_module_css_1 = __importDefault(require("../styles/FacebookSharePreview.module.css"));
const socialPreviewUtils_1 = require("./socialPreviewUtils");
const GlobeIcon_1 = __importDefault(require("./GlobeIcon"));
const FacebookSharePreview = ({ title, description, ogImage, siteUrl, }) => {
    const ogImageUrl = ogImage
        ? socialPreviewUtils_1.urlFor(ogImage).size(1200, 630).url() || undefined
        : undefined;
    return (react_1.default.createElement("section", { className: "share-item", style: { background: 'rgb(233, 235, 238)' } },
        react_1.default.createElement("h2", null, "Facebook sharing"),
        react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.wrapper },
            react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.header },
                react_1.default.createElement("img", { src: "https://via.placeholder.com/40/40", "aria-hidden": true }),
                react_1.default.createElement("div", null, "Person"),
                react_1.default.createElement("span", null,
                    "1h ",
                    react_1.default.createElement(GlobeIcon_1.default, null))),
            react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.imageContainer },
                react_1.default.createElement("img", { className: FacebookSharePreview_module_css_1.default.image, src: ogImageUrl })),
            react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.content },
                react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.url }, socialPreviewUtils_1.getDomainName(siteUrl)),
                react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.title },
                    react_1.default.createElement("a", { href: "#" }, title)),
                react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.desc }, description)),
            react_1.default.createElement("div", { className: FacebookSharePreview_module_css_1.default.actions },
                react_1.default.createElement("span", null, "Like"),
                react_1.default.createElement("span", null, "Comment"),
                react_1.default.createElement("span", null, "Share")))));
};
exports.default = FacebookSharePreview;
