"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleMobile = exports.GoogleDesktop = void 0;
const react_1 = __importDefault(require("react"));
const GooglePreview_module_css_1 = __importDefault(require("../styles/GooglePreview.module.css"));
const socialPreviewUtils_1 = require("./socialPreviewUtils");
const GoogleDesktop = ({ title, description, siteUrl, slug, }) => {
    const url = siteUrl + (slug || '');
    return (react_1.default.createElement("section", { className: "share-item" },
        react_1.default.createElement("h2", null, "Desktop Google result"),
        react_1.default.createElement("div", { className: GooglePreview_module_css_1.default.wrapper },
            react_1.default.createElement("h3", null, title),
            react_1.default.createElement("div", { className: GooglePreview_module_css_1.default.metaDesktop }, url),
            react_1.default.createElement("p", null, description && description.length > 135
                ? description.slice(0, 135) + ' ...'
                : description))));
};
exports.GoogleDesktop = GoogleDesktop;
const GoogleMobile = ({ title, description, ogImage, siteUrl, slug, }) => {
    const url = siteUrl + (slug || '');
    const ogImageUrl = ogImage
        ? socialPreviewUtils_1.urlFor(ogImage).size(104, 104).url() || undefined
        : undefined;
    return (react_1.default.createElement("section", { className: "share-item" },
        react_1.default.createElement("h2", null, "Mobile Google result"),
        react_1.default.createElement("div", { className: GooglePreview_module_css_1.default.wrapper + ' ' + GooglePreview_module_css_1.default.wrapperMobile },
            react_1.default.createElement("div", { className: GooglePreview_module_css_1.default.metaMobile },
                react_1.default.createElement("div", null),
                " ",
                url),
            react_1.default.createElement("h3", null, title),
            react_1.default.createElement("div", { className: GooglePreview_module_css_1.default.contentMobile },
                react_1.default.createElement("div", null, description && description.length > 135
                    ? description.slice(0, 135) + ' ...'
                    : description),
                ogImageUrl && react_1.default.createElement("img", { src: ogImageUrl })))));
};
exports.GoogleMobile = GoogleMobile;
