"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const LinkedinSharePreview_module_css_1 = __importDefault(require("../styles/LinkedinSharePreview.module.css"));
const socialPreviewUtils_1 = require("./socialPreviewUtils");
const GlobeIcon_1 = __importDefault(require("./GlobeIcon"));
const LinkedinSharePreview = ({ title, description, ogImage, }) => {
    const ogImageUrl = ogImage
        ? socialPreviewUtils_1.urlFor(ogImage).size(1200, 630).url() || undefined
        : undefined;
    return (react_1.default.createElement("section", { className: "share-item", style: { background: '#f5f5f5' } },
        react_1.default.createElement("h2", null, "LinkedIn sharing"),
        react_1.default.createElement("div", { className: LinkedinSharePreview_module_css_1.default.wrapper },
            react_1.default.createElement("div", { className: LinkedinSharePreview_module_css_1.default.profile },
                react_1.default.createElement("img", { src: "https://via.placeholder.com/48/48", "aria-hidden": true }),
                react_1.default.createElement("div", null,
                    "Person ",
                    react_1.default.createElement("span", null, "\u2022 1st")),
                react_1.default.createElement("span", null, "Fan #1"),
                react_1.default.createElement("span", null,
                    "1h \u2022 ",
                    react_1.default.createElement(GlobeIcon_1.default, null))),
            ogImageUrl && (react_1.default.createElement("div", { className: LinkedinSharePreview_module_css_1.default.imageContainer },
                react_1.default.createElement("img", { src: ogImageUrl }))),
            react_1.default.createElement("div", { className: LinkedinSharePreview_module_css_1.default.content },
                react_1.default.createElement("div", null, title),
                description && react_1.default.createElement("p", null, description)),
            react_1.default.createElement("div", { className: LinkedinSharePreview_module_css_1.default.likes }, "10 \u2022 3 comments"))));
};
exports.default = LinkedinSharePreview;
