"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const TwitterSharePreview_module_css_1 = __importDefault(require("../styles/TwitterSharePreview.module.css"));
const socialPreviewUtils_1 = require("./socialPreviewUtils");
const TwitterSharePreview = ({ title, description, ogImage, siteUrl, }) => {
    const ogImageUrl = ogImage
        ? socialPreviewUtils_1.urlFor(ogImage).size(1200, 600).url() || undefined
        : undefined;
    return (react_1.default.createElement("section", { className: "share-item", style: { background: 'rgb(230, 236, 240)' } },
        react_1.default.createElement("h2", null, "Twitter sharing"),
        react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.wrapper },
            react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.header },
                react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.profile },
                    react_1.default.createElement("img", { src: "https://via.placeholder.com/48/48", "aria-hidden": true }),
                    react_1.default.createElement("div", null, "Person"),
                    react_1.default.createElement("span", null, "@person")),
                react_1.default.createElement("button", null, "Follow")),
            react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.card },
                react_1.default.createElement("img", { src: ogImageUrl }),
                react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.content },
                    react_1.default.createElement("div", null, title),
                    description && react_1.default.createElement("p", null, description),
                    react_1.default.createElement("span", null, socialPreviewUtils_1.getDomainName(siteUrl)))),
            react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.date },
                new Date().toLocaleTimeString('en', {
                    second: undefined,
                }),
                ' ',
                "-",
                ' ',
                new Date().toLocaleDateString('en', {
                    dateStyle: 'medium',
                })),
            react_1.default.createElement("div", { className: TwitterSharePreview_module_css_1.default.likes },
                react_1.default.createElement("strong", null, "10"),
                " likes"))));
};
exports.default = TwitterSharePreview;
