"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toPlainText = exports.assemblePageUrl = exports.urlFor = exports.getDomainName = void 0;
const image_url_1 = __importDefault(require("@sanity/image-url"));
const client_1 = __importDefault(require("part:@sanity/base/client"));
const builder = image_url_1.default(client_1.default);
const getDomainName = (url) => url.split('://')[1];
exports.getDomainName = getDomainName;
const urlFor = (source) => {
    return builder.image(source);
};
exports.urlFor = urlFor;
const assemblePageUrl = ({ document, options, }) => {
    const { slug } = document;
    const { previewURL } = options;
    if (!slug || !previewURL) {
        console.warn('Missing slug or previewURL', { slug, previewURL });
        return '';
    }
    return `${previewURL}/project/${slug}`;
};
exports.assemblePageUrl = assemblePageUrl;
const defaults = { nonTextBehavior: 'remove' };
function toPlainText(blocks, opts = {}) {
    const options = Object.assign({}, defaults, opts);
    return blocks
        .map((block) => {
        if (block._type !== 'block' || !block.children) {
            return options.nonTextBehavior === 'remove'
                ? ''
                : `[${block._type} block]`;
        }
        return block.children.map((child) => child.text || '').join('');
    })
        .join('\n\n');
}
exports.toPlainText = toPlainText;
